<?php
namespace ImageCode\WiredmindsLeadlab\Controller;

/***
 *
 * This file is part of the "Leadlab by Wiredminds" Extension for TYPO3 CMS.
 *
 * For the full copyright and license information, please read the
 * LICENSE.txt file that was distributed with this source code.
 *
 *  (c) 2017 Uwe Jakobs <uwe.jakobs@imageco.de>, ImageCode
 *
 ***/

/**
 * LeadlabController
 */
class LeadlabController extends \TYPO3\CMS\Extbase\Mvc\Controller\ActionController
{
    /**
     * leadlabRepository
     *
     * @var \ImageCode\WiredmindsLeadlab\Domain\Repository\LeadlabRepository
     * @inject
     */
    protected $leadlabRepository = null;

    /**
     * action list
     *
     * @return void
     */
    public function listAction()
    {
        $leadlabs = $this->leadlabRepository->findAll();
        $this->view->assign('leadlabs', $leadlabs);
    }

    /**
     * action show
     *
     * @param \ImageCode\WiredmindsLeadlab\Domain\Model\Leadlab $leadlab
     * @return void
     */
    public function showAction(\ImageCode\WiredmindsLeadlab\Domain\Model\Leadlab $leadlab)
    {
        $this->view->assign('leadlab', $leadlab);
    }
}
