<?php
namespace ImageCode\WiredmindsLeadlab\Domain\Model;

/***
 *
 * This file is part of the "Leadlab by Wiredminds" Extension for TYPO3 CMS.
 *
 * For the full copyright and license information, please read the
 * LICENSE.txt file that was distributed with this source code.
 *
 *  (c) 2017 Uwe Jakobs <uwe.jakobs@imageco.de>, ImageCode
 *
 ***/

/**
 * Leadlab
 */
class Leadlab extends \TYPO3\CMS\Extbase\DomainObject\AbstractEntity
{
    /**
     * Disable Tracking on this page
     *
     * @var bool
     */
    protected $llDisable = false;

    /**
     * Milestone (enter name)
     *
     * @var string
     */
    protected $llMilestone = '';

    /**
     * individuel name for this Page (Optional, Divider is Pipe-Symbol | e.g.
     * start|registrierung|kontaktdaten|register.php)
     *
     * @var string
     */
    protected $llPageName = '';

    /**
     * individuel name for the group of this page  (Optional, Divider is Slash / z.B.
     * start/registrierung/kontaktdaten)
     *
     * @var string
     */
    protected $llGroupName = '';

    /**
     * Returns the llDisable
     *
     * @return bool $llDisable
     */
    public function getLlDisable()
    {
        return $this->llDisable;
    }

    /**
     * Sets the llDisable
     *
     * @param bool $llDisable
     * @return void
     */
    public function setLlDisable($llDisable)
    {
        $this->llDisable = $llDisable;
    }

    /**
     * Returns the boolean state of llDisable
     *
     * @return bool
     */
    public function isLlDisable()
    {
        return $this->llDisable;
    }

    /**
     * Returns the llMilestone
     *
     * @return string $llMilestone
     */
    public function getLlMilestone()
    {
        return $this->llMilestone;
    }

    /**
     * Sets the llMilestone
     *
     * @param string $llMilestone
     * @return void
     */
    public function setLlMilestone($llMilestone)
    {
        $this->llMilestone = $llMilestone;
    }

    /**
     * Returns the llPageName
     *
     * @return string $llPageName
     */
    public function getLlPageName()
    {
        return $this->llPageName;
    }

    /**
     * Sets the llPageName
     *
     * @param string $llPageName
     * @return void
     */
    public function setLlPageName($llPageName)
    {
        $this->llPageName = $llPageName;
    }

    /**
     * Returns the llGroupName
     *
     * @return string $llGroupName
     */
    public function getLlGroupName()
    {
        return $this->llGroupName;
    }

    /**
     * Sets the llGroupName
     *
     * @param string $llGroupName
     * @return void
     */
    public function setLlGroupName($llGroupName)
    {
        $this->llGroupName = $llGroupName;
    }
}
