<?php
namespace ImageCode\WiredmindsLeadlab\EM;
/***************************************************************
*  Copyright notice
*
*  (c) 2017 Uwe Jakobs <leadlab@imageco.de>
*  All rights reserved
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/
/**
 * Plugin 'Typ3 wiredminds_leadlab' for the 'wiredminds_leadlab' extension.
 *
 * @author	Uwe Jakobs <leadlab@imageco.de>
 */

use TYPO3\CMS\Core\Utility\GeneralUtility;
use TYPO3\CMS\Core\Utility\CommandUtility;


class Textarea
{

    /** @var string */
    protected $extKey = 'wiredminds_leadlab';
	
	
	/**
	 * Builds an textarea
	 * @param		array		$params:  Contains fieldName and fieldValue.
	 * @param		obj		$pObj:  Objet
	 * @return		string		HTML output
	 */
	function setTextarea($params, $pObj) {
		/* Pull the current fieldname and value from constants */
		
		$fieldName = $params['fieldName'];
		$fieldValue = $params['fieldValue'];

		// get the configuration
		$conf = $this->getConf($fieldName, $pObj);
		$key = substr($fieldName, 5,-1);
		$formName = ($conf['formName']!='') ? $conf['formName'] : 'editForm';
		
		$css = '';
		unset($conf['formName']);
		foreach ($conf as $keyCSS=>$value) {
			$css .= $keyCSS.':'.$value.'; ';
		}
		
		if ($css!='') {
			$css = ' style="'.$css.'" ';
		} else {
			$css = ' style="width:800px; height:400px;" ';
		}
		
		$fieldValue = str_replace('#####', "\n", $fieldValue);
		$field = '<textarea '.$css.' id="field'.$key.'" name="'. $fieldName .'">'. $fieldValue .'</textarea>';

		
		return $field;
	}
	
	/**
	 * Get the possible configuration of a single field
	 * @param		string		$fieldName:  Name of the field
	 * @param		obj		$pObj:  Objet
	 * @return		array		configuration
	 */
	function getConf($fieldName, $pObj) {
		$key = substr($fieldName, 5,-1);
		$tempConf = '';
		$realConf = array();

		// get the complete line from constants and find the key 'settings'
		$conf = \TYPO3\CMS\Core\Utility\GeneralUtility::trimExplode(';', $pObj->flatSetup[$key.'..']);
		foreach ($conf as $key=>$value) {
			if (strpos($value, 'settings') !== false) {
				$tempConf = $value;
			}
		}
		
		// if settings are found, split them accordingly
		if ($tempConf!='') {
			$tempConf = substr($tempConf, 9);
			
			$tempConf = \TYPO3\CMS\Core\Utility\GeneralUtility::trimExplode(',', $tempConf);
			
			foreach ($tempConf as $key) {
				$split = \TYPO3\CMS\Core\Utility\GeneralUtility::trimExplode(':', $key);
				$realConf[$split[0]] = $split[1];
			}
			
		}
		
		return $realConf;
	}
		
}