<?php
namespace ImageCode\WiredmindsLeadlab\Utility;
/***************************************************************
*  Copyright notice
*
*  (c) 2017 Uwe Jakobs <leadlab@imageco.de>
*  All rights reserved
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/
/**
 * Plugin 'Typ3 wiredminds_leadlab' for the 'wiredminds_leadlab' extension.
 *
 * @author	Uwe Jakobs <leadlab@imageco.de>
 */

use TYPO3\CMS\Core\Utility\GeneralUtility;
use TYPO3\CMS\Core\Utility\CommandUtility;


class Leadlab
{

	// Use hook contentPostProc-all
	public function setTracker(&$params, &$reference)
    {
		if ($GLOBALS['TSFE']->page['ll_disable']) {
			return;
		}
		
		
		// Get global parameters
		$ll_conf = unserialize($GLOBALS['TYPO3_CONF_VARS']['EXT']['extConf']['wiredminds_leadlab']);

		// Tracking-Server  ?
		if(empty($ll_conf['trackingServer'])) {
			$trackingServer = 'c.leadlab.click';
		} else {
			$trackingServer = $ll_conf['trackingServer'];
		}
		
		// Protocol ?
		if( $ll_conf['protocol'] == 'auto' ) {
			if(!empty($_SERVER['HTTPS']) && $_SERVER['HTTPS']!='off' or $_SERVER['SERVER_PORT']==443) {
				$protocol='https';
			} else {
				$protocol='http';
			}
		} else {
			$protocol=$ll_conf['protocol'];
		}
		
		$out = array();
		
		$out[] = '<!-- leadlab by wiredminds -->';
        $out[] = '<script type="text/javascript">';
		
		if(!empty($GLOBALS['TSFE']->page['ll_milestone']) || !empty($GLOBALS['TSFE']->page['ll_page_name']) || !empty($GLOBALS['TSFE']->page['ll_page_name']) || !empty($ll_conf['customJavaScript'])) {
			$out[] = 'var wiredminds = wiredminds ||[];';
			$out[] = '/** Start own parameters **/';
		}


		// Page Name
		if(!empty($GLOBALS['TSFE']->page['ll_page_name'])) {
			$out[] = "wiredminds.push(['setTrackParam', 'wm_page_name', '" . $GLOBALS['TSFE']->page['ll_page_name'] . "']);";
		}
		
		// GroupName
		if(!empty($GLOBALS['TSFE']->page['ll_group_name'])) {
			$out[] = "wiredminds.push(['setTrackParam', 'wm_group_name', '" . $GLOBALS['TSFE']->page['ll_group_name'] . "']);";
		}	
		
		// Milestone
		if(!empty($GLOBALS['TSFE']->page['ll_milestone'])) {
			$out[] = "wiredminds.push(['setTrackParam', 'wm_milestone', '" . $GLOBALS['TSFE']->page['ll_milestone'] . "']);";
		}		
		
		// Custom JavaScript
		if(!empty($ll_conf['customJavaScript'])) {
			$out[] = $ll_conf['customJavaScript'];
		}
		
		if(!empty($GLOBALS['TSFE']->page['ll_milestone']) || !empty($GLOBALS['TSFE']->page['ll_page_name']) || !empty($GLOBALS['TSFE']->page['ll_page_name']) || !empty($ll_conf['customJavaScript'])) {
			$out[] = '/** End own parameters **/';
			$out[] = '';			
		}
		
		
		
		$out[] = '(function(d,s){var l=d.createElement(s),e=d.getElementsByTagName(s)[0];';
		$out[] = 'l.async=true;l.type=\'text/javascript\';';
		$out[] = 'l.src=\'' . $protocol . '://'. $trackingServer . '/'.$ll_conf['custnum'].'.js\';';
		$out[] = 'e.parentNode.insertBefore(l,e);})(document,\'script\');';
		$out[] = '</script>';
        $out[] = '<!-- leadlab by wiredminds -->';
		$out[] = '';

		
		$params['pObj']->content = str_replace('</body>', implode(LF, $out).'</body>', $params['pObj']->content);
		//print_r($params['pObj']->content);
		
	}
}